National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2012-1641 Detail

Description

The finder_import function in the Finder module 6.x-1.x before 6.x-1.26, 7.x-1.x, and 7.x-2.x before 7.x-2.0-alpha8 for Drupal allows remote authenticated users with the administer finder permission to execute arbitrary PHP code via admin/build/finder/import.

Source:  MITRE      Last Modified:  08/28/2012

Quick Info

CVE Dictionary Entry:
CVE-2012-1641
Original release date:
08/28/2012
Last revised:
08/29/2012
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
6.0 MEDIUM
Vector:
(AV:N/AC:M/Au:S/C:P/I:P/A:P) (legend)
Impact Subscore:
6.4
Exploitability Subscore:
6.8
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Medium
Authentication:
Required to exploit
Impact Type:
Allows unauthorized disclosure of information; Allows unauthorized modification; Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://drupal.org/node/1432318 Patch External Source CONFIRM http://drupal.org/node/1432318
http://drupal.org/node/1432320 Patch External Source CONFIRM http://drupal.org/node/1432320
http://drupalcode.org/project/finder.git/commit/bc0cc82 External Source CONFIRM http://drupalcode.org/project/finder.git/commit/bc0cc82
http://www.madirish.net/content/drupal-finder-6x-19-xss-and-remote-code-execution-vulnerabilities Exploit External Source MISC http://www.madirish.net/content/drupal-finder-6x-19-xss-and-remote-code-execution-vulnerabilities
http://www.openwall.com/lists/oss-security/2012/03/16/9 External Source MLIST [oss-security] 20120316 CVE-request: Drupal Finder SA-CONTRIB-2012-017
http://www.openwall.com/lists/oss-security/2012/03/19/9 External Source MLIST [oss-security] 20120319 Re: CVE-request: Drupal Finder SA-CONTRIB-2012-017
http://www.openwall.com/lists/oss-security/2012/04/07/1 External Source MLIST [oss-security] 20120406 CVE's for Drupal Contrib 2012 001 through 057 (67 new CVE assignments)
https://drupal.org/node/1432970 Vendor Advisory External Source MISC https://drupal.org/node/1432970

Technical Details

Vulnerability Type (View All)

  • Permissions, Privileges, and Access Control (CWE-264)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:a:danielb:finder:6.x-1.0:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha1:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha10:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha11:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha12:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha13:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha14:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha15:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha16:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha17:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha18:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha19:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha2:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha20:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha21:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha22:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha23:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha24:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha25:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha26:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha27:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha28:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha3:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha4:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha5:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha6:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha7:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha8:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:alpha9:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:beta1:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:beta2:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:beta3:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:rc1:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:rc2:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:rc3:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:rc4:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:unstable0:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:unstable1:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:unstable2:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:unstable3:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:unstable4:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:unstable5:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:unstable6:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.0:unstable7:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.1:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.2:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.3:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.4:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.5:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.6:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.7:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.8:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.9:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.10:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.11:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.12:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.13:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.14:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.15:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.16:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.17:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.18:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.19:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.20:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.21:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.23:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.24:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:6.x-1.x-dev:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-1.0:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-1.1:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-1.2:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-1.3:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-1.4:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-1.5:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-1.6:*:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-1.x:dev:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-2.0:alpha1:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-2.0:alpha2:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-2.0:alpha3:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-2.0:alpha4:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-2.0:alpha5:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-2.0:alpha6:*:*:*:*:*:*
cpe:2.3:a:danielb:finder:7.x-2.x:dev:*:*:*:*:*:*
OR
cpe:2.3:a:drupal:drupal:-:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 1 change record found - show changes